Staff Services
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: pageintegerOptionalDefault:
Page number
1limitintegerOptionalDefault:
Number of items per page
20Responses
200
Successful operation
application/json
countintegerOptional
nextstring · nullableOptional
previousstring · nullableOptional
403
Forbidden
application/json
get/staffs/
GET /api/v1/staffs/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 1,
"next": "text",
"previous": "text",
"results": [
{
"id": 32,
"retail_stores": [
{
"id": 81,
"address": {
"id": 81,
"township": {
"id": 2190,
"city": {
"id": 125,
"country": {
"id": 3,
"translations": null,
"created_date": "2024-05-08T19:12:57.305774Z",
"modified_date": "2024-11-29T12:06:02.290922Z",
"omnitron_id": 36,
"name": "Türkiye",
"code": "tr"
},
"translations": null,
"created_date": "2024-05-08T19:14:58.516332Z",
"modified_date": "2024-05-08T19:14:58.516350Z",
"omnitron_id": 286,
"name": "İstanbul"
},
"translations": null,
"created_date": "2024-05-08T19:15:00.868236Z",
"modified_date": "2024-05-08T19:15:00.868248Z",
"omnitron_id": 1453,
"name": "Esenler"
},
"created_date": "2024-11-29T12:06:10.367353Z",
"modified_date": "2024-12-03T11:39:34.611098Z",
"phone_number": "+905555555555",
"line": "Lorem İpsum Dolor Sit Amet",
"postcode": null,
"retail_store": 81
},
"created_date": "2024-11-29T12:06:09.609920Z",
"modified_date": "2024-12-30T13:39:36.474266Z",
"omnitron_id": 1,
"name": "Test Stock Location",
"email": "test@akinon.com",
"remote_id": "123",
"is_active": true,
"fast_delivery": false
}
],
"last_login": "2025-07-18T10:06:16.115573Z",
"is_superuser": false,
"is_staff": true,
"date_joined": "2024-12-30T13:40:22.530558Z",
"created_date": "2024-12-30T13:40:22.531128Z",
"modified_date": "2025-07-18T10:06:16.116904Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"is_active": true,
"remote_id": "2222",
"username": "john.doe",
"permission_groups": [
1
],
"current_store": null
}
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
retail_storesinteger[]Required
List of retail store IDs
first_namestring · max: 30Required
last_namestring · max: 150Required
emailstring · emailRequired
is_activebooleanOptional
remote_idstring · nullableRequired
passwordstringRequired
permission_groupsinteger[]Optional
List of permission group IDs
Responses
201
Staff created successfully
application/json
retail_storesinteger[]OptionalExample:
List of retail store IDs
[1,2]first_namestringOptionalExample:
Johnlast_namestringOptionalExample:
Doeemailstring · emailOptionalExample:
john.doe@test.comremote_idstringOptionalExample:
123passwordstringOptional
permission_groupsinteger[]OptionalExample:
[5,6]400
Bad Request
application/json
403
Forbidden
application/json
post/staffs/
POST /api/v1/staffs/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 163
{
"retail_stores": [
1
],
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"is_active": true,
"remote_id": "text",
"password": "text",
"permission_groups": [
1
]
}{
"retail_stores": [
[
1,
2
]
],
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@test.com",
"remote_id": 123,
"password": "text",
"permission_groups": [
[
5,
6
]
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: Responses
200
Successful operation
application/json
403
Forbidden
application/json
404
Not Found
application/json
get/staffs/{id}/
GET /api/v1/staffs/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"results": [
{
"id": 32,
"retail_stores": [
{
"id": 81,
"address": {
"id": 81,
"township": {
"id": 2190,
"city": {
"id": 125,
"country": {
"id": 3,
"translations": null,
"created_date": "2024-05-08T19:12:57.305774Z",
"modified_date": "2024-11-29T12:06:02.290922Z",
"omnitron_id": 36,
"name": "Türkiye",
"code": "tr"
},
"translations": null,
"created_date": "2024-05-08T19:14:58.516332Z",
"modified_date": "2024-05-08T19:14:58.516350Z",
"omnitron_id": 286,
"name": "İstanbul"
},
"translations": null,
"created_date": "2024-05-08T19:15:00.868236Z",
"modified_date": "2024-05-08T19:15:00.868248Z",
"omnitron_id": 1453,
"name": "Esenler"
},
"created_date": "2024-11-29T12:06:10.367353Z",
"modified_date": "2024-12-03T11:39:34.611098Z",
"phone_number": "+905555555555",
"line": "Lorem İpsum Dolor Sit Amet",
"postcode": null,
"retail_store": 81
},
"created_date": "2024-11-29T12:06:09.609920Z",
"modified_date": "2024-12-30T13:39:36.474266Z",
"omnitron_id": 1,
"name": "Test Stock Location",
"email": "test@akinon.com",
"remote_id": "123",
"is_active": true,
"fast_delivery": false
}
],
"last_login": "2025-07-18T10:06:16.115573Z",
"is_superuser": false,
"is_staff": true,
"date_joined": "2024-12-30T13:40:22.530558Z",
"created_date": "2024-12-30T13:40:22.531128Z",
"modified_date": "2025-07-18T10:06:16.116904Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"is_active": true,
"remote_id": "2222",
"username": "john.doe",
"permission_groups": [
1
],
"current_store": null
}
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: Body
retail_storesinteger[]RequiredExample:
[1,2]first_namestringRequiredExample:
Johnlast_namestringRequiredExample:
Doeemailstring · emailRequiredExample:
john.doe@example.comis_activebooleanRequiredExample:
trueis_staffbooleanRequiredExample:
trueremote_idstring · nullableRequiredExample:
abcd-1234usernamestringRequiredExample:
johndoeResponses
200
Successful operation
application/json
retail_storesinteger[]OptionalExample:
List of retail store IDs
[1,2]first_namestringOptionalExample:
Johnlast_namestringOptionalExample:
Doeemailstring · emailOptionalExample:
john.doe@test.comremote_idstringOptionalExample:
123passwordstringOptional
permission_groupsinteger[]OptionalExample:
[5,6]400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
put/staffs/{id}/
PUT /api/v1/staffs/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170
{
"retail_stores": [
1,
2
],
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"is_active": true,
"is_staff": true,
"remote_id": "abcd-1234",
"username": "johndoe"
}{
"retail_stores": [
[
1,
2
]
],
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@test.com",
"remote_id": 123,
"password": "text",
"permission_groups": [
[
5,
6
]
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: Body
retail_storesinteger[]OptionalExample:
[1,2]first_namestringOptionalExample:
Johnlast_namestringOptionalExample:
Doeemailstring · emailOptionalExample:
john.doe@example.comis_activebooleanOptionalExample:
trueis_staffbooleanOptionalExample:
trueremote_idstring · nullableOptionalExample:
abcd-1234usernamestringOptionalExample:
johndoeResponses
200
Successful operation
application/json
retail_storesinteger[]OptionalExample:
List of retail store IDs
[1,2]first_namestringOptionalExample:
Johnlast_namestringOptionalExample:
Doeemailstring · emailOptionalExample:
john.doe@test.comremote_idstringOptionalExample:
123passwordstringOptional
permission_groupsinteger[]OptionalExample:
[5,6]400
Bad Request
application/json
403
Forbidden
application/json
404
Not Found
application/json
patch/staffs/{id}/
PATCH /api/v1/staffs/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 170
{
"retail_stores": [
1,
2
],
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"is_active": true,
"is_staff": true,
"remote_id": "abcd-1234",
"username": "johndoe"
}{
"retail_stores": [
[
1,
2
]
],
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@test.com",
"remote_id": 123,
"password": "text",
"permission_groups": [
[
5,
6
]
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: Responses
200
Successful operation
application/json
idintegerOptionalExample:
1is_visible_for_userbooleanOptionalExample:
truecreated_datestring · date-timeOptionalExample:
2024-12-30T13:40:22.531128Zmodified_datestring · date-timeOptionalExample:
2025-07-18T10:06:16.116904ZnamestringOptionalExample:
OMS CargoCompany ListpathstringOptionalExample:
cargo_company-oms:oms-cargo-companylabelstring · nullableOptional
methodstring · nullableOptional
parentstring · nullableOptional
permission_groupsinteger[]OptionalExample:
[1]403
Forbidden
application/json
404
Not Found
application/json
get/staffs/{id}/list_staff_permission_info/
GET /api/v1/staffs/{id}/list_staff_permission_info/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 1,
"is_visible_for_user": true,
"created_date": "2024-12-30T13:40:22.531128Z",
"modified_date": "2025-07-18T10:06:16.116904Z",
"name": "OMS CargoCompany List",
"path": "cargo_company-oms:oms-cargo-company",
"label": "text",
"method": "text",
"parent": "text",
"permission_groups": [
1
]
}Body
staffintegerRequiredExample:
The ID of the staff whose password will be changed.
32new_passwordstringRequiredExample:
The new password to be set for the staff.
123Responses
200
Successful operation
No content
400
Bad Request
application/json
403
Forbidden
application/json
post/staffs/change_password/
POST /api/v1/staffs/change_password/ HTTP/1.1
Host: sandbox.akinon.com
Content-Type: application/json
Accept: */*
Content-Length: 33
{
"staff": 32,
"new_password": "123"
}No content
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
formatstring · enumOptionalDefault:
Response format
jsonPossible values: Responses
200
Successful operation
application/json
idintegerOptionalExample:
32last_loginstring · date-timeOptionalExample:
2025-07-18T10:06:16.115573Zis_superuserbooleanOptionalExample:
falseis_staffbooleanOptionalExample:
truedate_joinedstring · date-timeOptionalExample:
2024-12-30T13:40:22.530558Zcreated_datestring · date-timeOptionalExample:
2024-12-30T13:40:22.531128Zmodified_datestring · date-timeOptionalExample:
2025-07-18T10:06:16.116904Zfirst_namestringOptionalExample:
Johnlast_namestringOptionalExample:
DoeemailstringOptionalExample:
john.doe@example.comis_activebooleanOptionalExample:
trueremote_idstringOptionalExample:
2222usernamestring · nullableOptionalExample:
john.doepermission_groupsinteger[]OptionalExample:
[1]current_storestring · nullableOptional
403
Forbidden
application/json
get/staffs/duplicate_email_staffs/
GET /api/v1/staffs/duplicate_email_staffs/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 32,
"retail_stores": [
{
"id": 81,
"address": {
"id": 81,
"township": {
"id": 2190,
"city": {
"id": 125,
"country": {
"id": 3,
"translations": null,
"created_date": "2024-05-08T19:12:57.305774Z",
"modified_date": "2024-11-29T12:06:02.290922Z",
"omnitron_id": 36,
"name": "Türkiye",
"code": "tr"
},
"translations": null,
"created_date": "2024-05-08T19:14:58.516332Z",
"modified_date": "2024-05-08T19:14:58.516350Z",
"omnitron_id": 286,
"name": "İstanbul"
},
"translations": null,
"created_date": "2024-05-08T19:15:00.868236Z",
"modified_date": "2024-05-08T19:15:00.868248Z",
"omnitron_id": 1453,
"name": "Esenler"
},
"created_date": "2024-11-29T12:06:10.367353Z",
"modified_date": "2024-12-03T11:39:34.611098Z",
"phone_number": "+905555555555",
"line": "Lorem İpsum Dolor Sit Amet",
"postcode": null,
"retail_store": 81
},
"created_date": "2024-11-29T12:06:09.609920Z",
"modified_date": "2024-12-30T13:39:36.474266Z",
"omnitron_id": 1,
"name": "Test Stock Location",
"email": "test@akinon.com",
"remote_id": "123",
"is_active": true,
"fast_delivery": false
}
],
"last_login": "2025-07-18T10:06:16.115573Z",
"is_superuser": false,
"is_staff": true,
"date_joined": "2024-12-30T13:40:22.530558Z",
"created_date": "2024-12-30T13:40:22.531128Z",
"modified_date": "2025-07-18T10:06:16.116904Z",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"is_active": true,
"remote_id": "2222",
"username": "john.doe",
"permission_groups": [
1
],
"current_store": null
}
]Last updated
Was this helpful?

